<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/COLD_DATA_Reset_sim/COLD_DATA_Reset.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_a1806b481c47ccfbdb94279e4d491687.html">COLD_DATA_Reset_sim</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">COLD_DATA_Reset.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- COLD_DATA_Reset.vhd</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Generated using ACDS version </span><span class="vhdllogic">16</span>.<span class="vhdllogic">0</span> <span class="vhdllogic">211</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="vhdlkeyword">use </span>IEEE.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">use </span>IEEE.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keywordflow">entity </span><a class="code" href="classCOLD__DATA__Reset.html">COLD_DATA_Reset</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="vhdlkeyword">port</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="vhdlchar">clock</span>              <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                    <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --              clock.clk</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        <span class="vhdlchar">reset</span>              <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                    <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --              reset.reset</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="vhdlchar">rx_analogreset</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                    --     rx_analogreset.rx_analogreset</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="vhdlchar">rx_digitalreset</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                    --    rx_digitalreset.rx_digitalreset</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="vhdlchar">rx_ready</span>           <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                    --           rx_ready.rx_ready</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="vhdlchar">rx_is_lockedtodata</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> -- rx_is_lockedtodata.rx_is_lockedtodata</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="vhdlchar">rx_cal_busy</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span><span class="keyword">  --        rx_cal_busy.rx_cal_busy</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">entity</span> <span class="vhdlchar">COLD_DATA_Reset</span>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="vhdlkeyword">architecture</span> rtl <span class="vhdlkeyword">of</span> <a class="code" href="classCOLD__DATA__Reset.html">COLD_DATA_Reset</a> is</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="vhdlkeyword">component</span> altera_xcvr_reset_control <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="vhdlkeyword">generic</span> (</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;            CHANNELS              : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            PLLS                  : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;            SYS_CLK_IN_MHZ        : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">250</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            SYNCHRONIZE_RESET     : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;            REDUCED_SIM_TIME      : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            TX_PLL_ENABLE         : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            T_PLL_POWERDOWN       : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1000</span>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            SYNCHRONIZE_PLL_RESET : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;            TX_ENABLE             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;            TX_PER_CHANNEL        : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;            T_TX_ANALOGRESET      : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;            T_TX_DIGITALRESET     : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">20</span>;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            T_PLL_LOCK_HYST       : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;            EN_PLL_CAL_BUSY       : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            RX_ENABLE             : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            RX_PER_CHANNEL        : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">0</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            T_RX_ANALOGRESET      : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">40</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;            T_RX_DIGITALRESET     : <span class="comment">integer</span> := <span class="vhdllogic"></span><span class="vhdllogic">4000</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        );</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            clock              : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                    := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            reset              : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                    := &#39;X&#39;;             <span class="keyword">-- reset</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            rx_analogreset     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- rx_analogreset</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            rx_digitalreset    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- rx_digitalreset</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            rx_ready           : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- rx_ready</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            rx_is_lockedtodata : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_is_lockedtodata</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            rx_cal_busy        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_cal_busy</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            pll_powerdown      : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- pll_powerdown</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            tx_analogreset     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- tx_analogreset</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            tx_digitalreset    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- tx_digitalreset</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            tx_ready           : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- tx_ready</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            pll_locked         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- pll_locked</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            pll_select         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- pll_select</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            tx_cal_busy        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_cal_busy</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            pll_cal_busy       : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- pll_cal_busy</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            tx_manual          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_reset_mode</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            rx_manual          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rx_reset_mode</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            tx_digitalreset_or : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- tx_digitalreset_or</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            rx_digitalreset_or : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;)<span class="keyword">  -- rx_digitalreset_or</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        );</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span> <span class="vhdlchar">altera_xcvr_reset_control</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    cold_data_reset_inst : <span class="vhdlkeyword">component</span> altera_xcvr_reset_control</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="vhdlkeyword">generic</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            CHANNELS               =&gt; <span class="vhdllogic">8</span>,</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            PLLS                   =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            SYS_CLK_IN_MHZ         =&gt; <span class="vhdllogic">128</span>,</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            SYNCHRONIZE_RESET      =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            REDUCED_SIM_TIME       =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            TX_PLL_ENABLE          =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            T_PLL_POWERDOWN        =&gt; <span class="vhdllogic">1000</span>,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            SYNCHRONIZE_PLL_RESET  =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            TX_ENABLE              =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            TX_PER_CHANNEL         =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            T_TX_ANALOGRESET       =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            T_TX_DIGITALRESET      =&gt; <span class="vhdllogic">20</span>,</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            T_PLL_LOCK_HYST        =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            EN_PLL_CAL_BUSY        =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            RX_ENABLE              =&gt; <span class="vhdllogic">1</span>,</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            RX_PER_CHANNEL         =&gt; <span class="vhdllogic">0</span>,</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            T_RX_ANALOGRESET       =&gt; <span class="vhdllogic">40</span>,</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            T_RX_DIGITALRESET      =&gt; <span class="vhdllogic">4000</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            clock               =&gt; clock,<span class="keyword">              --              clock.clk</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            reset               =&gt; reset,<span class="keyword">              --              reset.reset</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            rx_analogreset      =&gt; rx_analogreset,<span class="keyword">     --     rx_analogreset.rx_analogreset</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            rx_digitalreset     =&gt; rx_digitalreset,<span class="keyword">    --    rx_digitalreset.rx_digitalreset</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            rx_ready            =&gt; rx_ready,<span class="keyword">           --           rx_ready.rx_ready</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            rx_is_lockedtodata  =&gt; rx_is_lockedtodata,<span class="keyword"> -- rx_is_lockedtodata.rx_is_lockedtodata</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            rx_cal_busy         =&gt; rx_cal_busy,<span class="keyword">        --        rx_cal_busy.rx_cal_busy</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            pll_powerdown       =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">               --        (terminated)</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            tx_analogreset      =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">               --        (terminated)</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            tx_digitalreset     =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">               --        (terminated)</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            tx_ready            =&gt; <span class="vhdlkeyword">open</span>,<span class="keyword">               --        (terminated)</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            pll_locked          =&gt; &quot;<span class="vhdllogic">0</span>&quot;,<span class="keyword">                --        (terminated)</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            pll_select          =&gt; &quot;<span class="vhdllogic">0</span>&quot;,<span class="keyword">                --        (terminated)</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;            tx_cal_busy         =&gt; &quot;<span class="vhdllogic">00000000</span>&quot;,<span class="keyword">         --        (terminated)</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            pll_cal_busy        =&gt; &quot;<span class="vhdllogic">0</span>&quot;,<span class="keyword">                --        (terminated)</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;            tx_manual           =&gt; &quot;<span class="vhdllogic">00000000</span>&quot; ,<span class="keyword">         --        (terminated)</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            rx_manual           =&gt; &quot;<span class="vhdllogic">00000000</span>&quot; ,<span class="keyword">         --        (terminated)</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;            tx_digitalreset_or  =&gt; &quot;<span class="vhdllogic">00000000</span>&quot;,<span class="keyword">         --        (terminated)</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            rx_digitalreset_or  =&gt; &quot;<span class="vhdllogic">00000000</span>&quot;          <span class="keyword">--        (terminated)</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">architecture</span> <span class="vhdlchar">rtl</span>;<span class="keyword"> -- <span class="vhdlkeyword">of</span> COLD_DATA_Reset</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:17 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
